import React from 'react';
import type { PDFDocumentProxy } from 'pdfjs-dist';
import type { EventProps } from 'make-event-props';
import type { ClassName, OnItemClickArgs } from './shared/types.js';
type PDFOutline = Awaited<ReturnType<PDFDocumentProxy['getOutline']>>;
export type OutlineProps = {
    className?: ClassName;
    inputRef?: React.Ref<HTMLDivElement>;
    onItemClick?: (props: OnItemClickArgs) => void;
    onLoadError?: (error: Error) => void;
    onLoadSuccess?: (outline: PDFOutline | null) => void;
    pdf?: PDFDocumentProxy | false;
} & EventProps<PDFOutline | null | false | undefined>;
declare const Outline: React.FC<OutlineProps>;
export default Outline;
